View Issue Details

IDProjectCategoryView StatusLast Update
0004464Talerwallet (WebExtensions)public2016-11-20 03:26
ReporterFlorian DoldAssigned ToFlorian Dold 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.0 
Target Version0.2Fixed in Version0.2 
Summary0004464: wallet needs more sanity checks (for e.g. merchant contracts) to generate better error messages
DescriptionFor example, right now the wallet doesn't complain (just says it doesn't have any coins) when we get a contract from the merchant with an empty list of exchanges.
TagsNo tags attached.

Activities

Florian Dold

2016-11-14 00:57

manager   ~0011482

There's a new "@ClassWithValidator" annotation, which we can use to specify arbitrary invariants (that are not easily expressed as field annotations) in a method. We're doing some basic checks now.

Florian Dold

2016-11-14 01:06

manager   ~0011483

Rudimentary test case for validation added in 8ab5db6

Issue History

Date Modified Username Field Change
2016-04-22 18:04 Florian Dold New Issue
2016-04-22 18:04 Florian Dold Status new => assigned
2016-04-22 18:04 Florian Dold Assigned To => Florian Dold
2016-05-05 15:26 Christian Grothoff Product Version => 0.0
2016-05-05 15:26 Christian Grothoff Target Version => 0.2
2016-11-14 00:57 Florian Dold Note Added: 0011482
2016-11-14 01:06 Florian Dold Status assigned => resolved
2016-11-14 01:06 Florian Dold Resolution open => fixed
2016-11-14 01:06 Florian Dold Fixed in Version => 0.2
2016-11-14 01:06 Florian Dold Note Added: 0011483
2016-11-20 03:26 Christian Grothoff Status resolved => closed